#ifndef BLOCK_EFFECT_HPP_
#define BLOCK_EFFECT_HPP_

#include <Utilities/Extern.hpp>

class ChunkWindow;

/**
 * @brief Describes a graphical effect attached to a block.
 */
class BlockEffect
{
public:
    virtual ~BlockEffect() = default;

    /**
     * @brief Apply this effect.
     */
    virtual void update(ChunkWindow &window) = 0;
};

#endif